Summary: Italian man (manual) pages from the Linux Documentation Project
Name: man-pages-it
Version: 2.65
Release: 7%{?dist}
License: IEEE
Group: Documentation
URL: http://www.pluto.linux.it/ildp/man/
%define extra_name %{name}-extra
%define extra_ver 0.5.0
%define extra_pkg_name %{extra_name}-%{extra_ver}
Source0: ftp://ftp.pluto.it/pub/pluto/ildp/man/%{name}-%{version}.tar.gz
Source1: ftp://ftp.pluto.it/pub/pluto/ildp/man/%{extra_pkg_name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: man
BuildArch: noarch
Summary(it): Pagine del manuale in italiano

%description
Manual pages from the Linux Documentation Project, translated into Italian.

%description -l it
Questo pacchetto è la traduzione a cura dell'Italian Linux Documentation
Project (ILDP) del pacchetto man page ufficiale mantenuto e distribuito da
Michael Kerrisk. La versione di questo pacchetto garantisce che le man page
contenute sono state aggiornate alla versione corrispondente del pacchetto
ufficiale. 

%package extra
Summary: Extra Italian manual pages from the Linux Documentation Project
Group: Documentation
Requires: %{name} = %{version}-%{release}
Summary(it): Pagine man aggiuntive in italiano

%description extra
Italian Manual pages for programs that are not in offical packages.

%description extra -l it
Questo pacchetto contiene la traduzione a cura dell'Italian Linux Documentation
Project (ILDP) delle pagine di manuale che non fanno parte del pacchetto
ufficiale, e che di solito vengono distribuite assieme ai software. Cerchiamo
di mantenere le pagine aggiornate, tuttavia è possibile che alcune pagine
restino indietro rispetto all'ultima versione del pacchetto di riferimento. 


%prep
%setup -q -a 1
#%patch0 -p1

for i in *; do
    if [ -f $i ]; then
        iconv -f ISO8859-15 -t UTF-8 $i -o $i.utf8
        mv $i.utf8 $i
    fi
done
for i in man*/*; do
    if [ -f $i ]; then
        iconv -f ISO8859-15 -t UTF-8 $i -o $i.utf8
        mv $i.utf8 $i
    fi
done
for i in %{extra_pkg_name}/*; do
    if [ -f $i ]; then
        %{__sed} -i 's/\r//' $i
        iconv -f ISO8859-15 -t UTF-8 $i -o $i.utf8
        mv $i.utf8 $i
    fi
done
for i in %{extra_pkg_name}/man*/*; do
    if [ -f $i ]; then
        iconv -f ISO8859-15 -t UTF-8 $i -o $i.utf8
        mv $i.utf8 $i
    fi
done
mv readme README
#mv description DESCRIPTION-IT
mv %{extra_pkg_name}/changelog %{extra_pkg_name}/CHANGELOG
mv %{extra_pkg_name}/readme %{extra_pkg_name}/README
#mv %{extra_pkg_name}/description %{extra_pkg_name}/DESCRIPTION-IT


%build


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT
make -C %{extra_pkg_name} prefix=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_mandir}/it/'man??'

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG HOWTOHELP POSIX-COPYRIGHT README
%{_mandir}/it/man0p/aio.h.0p.gz
%{_mandir}/it/man0p/assert.h.0p.gz
%{_mandir}/it/man1/intro.1.gz
%{_mandir}/it/man1/ldd.1.gz
%{_mandir}/it/man1p/admin.1p.gz
%{_mandir}/it/man1p/alias.1p.gz
%{_mandir}/it/man1p/ar.1p.gz
%{_mandir}/it/man1p/asa.1p.gz
%{_mandir}/it/man1p/at.1p.gz
%{_mandir}/it/man1p/basename.1p.gz
%{_mandir}/it/man1p/break.1p.gz
%{_mandir}/it/man1p/cal.1p.gz
%{_mandir}/it/man1p/cat.1p.gz
%{_mandir}/it/man1p/cmp.1p.gz
%{_mandir}/it/man1p/colon.1p.gz
%{_mandir}/it/man1p/compress.1p.gz
%{_mandir}/it/man1p/continue.1p.gz
%{_mandir}/it/man1p/dot.1p.gz
%{_mandir}/it/man1p/eval.1p.gz
%{_mandir}/it/man1p/exit.1p.gz
%{_mandir}/it/man1p/kill.1p.gz
%{_mandir}/it/man1p/link.1p.gz
%{_mandir}/it/man1p/locale.1p.gz
%{_mandir}/it/man1p/return.1p.gz
%{_mandir}/it/man1p/shift.1p.gz
%{_mandir}/it/man1p/times.1p.gz
%{_mandir}/it/man1p/unlink.1p.gz
%{_mandir}/it/man1/time.1.gz
%{_mandir}/it/man2/adjtimex.2.gz
%{_mandir}/it/man2/fork.2.gz
%{_mandir}/it/man2/intro.2.gz
%{_mandir}/it/man2/mount.2.gz
%{_mandir}/it/man2/readv.2.gz
%{_mandir}/it/man2/swapoff.2.gz
%{_mandir}/it/man2/swapon.2.gz
%{_mandir}/it/man2/symlink.2.gz
%{_mandir}/it/man2/sync.2.gz
%{_mandir}/it/man2/sysfs.2.gz
%{_mandir}/it/man2/sysinfo.2.gz
%{_mandir}/it/man2/umask.2.gz
%{_mandir}/it/man2/umount.2.gz
%{_mandir}/it/man2/umount2.2.gz
%{_mandir}/it/man2/uname.2.gz
%{_mandir}/it/man2/unimplemented.2.gz
%{_mandir}/it/man2/unlink.2.gz
%{_mandir}/it/man2/uselib.2.gz
%{_mandir}/it/man2/ustat.2.gz
%{_mandir}/it/man2/utime.2.gz
%{_mandir}/it/man2/utimes.2.gz
%{_mandir}/it/man2/vfork.2.gz
%{_mandir}/it/man2/vhangup.2.gz
%{_mandir}/it/man2/vm86.2.gz
%{_mandir}/it/man2/wait.2.gz
%{_mandir}/it/man2/wait3.2.gz
%{_mandir}/it/man2/wait4.2.gz
%{_mandir}/it/man2/waitpid.2.gz
%{_mandir}/it/man2/write.2.gz
%{_mandir}/it/man2/writev.2.gz
%{_mandir}/it/man3/adjtime.3.gz
%{_mandir}/it/man3/err.3.gz
%{_mandir}/it/man3/exit.3.gz
%{_mandir}/it/man3/intro.3.gz
%{_mandir}/it/man3p/abs.3p.gz
%{_mandir}/it/man4/console.4.gz
%{_mandir}/it/man4/fd.4.gz
%{_mandir}/it/man4/full.4.gz
%{_mandir}/it/man4/hd.4.gz
%{_mandir}/it/man4/intro.4.gz
%{_mandir}/it/man4/kmem.4.gz
%{_mandir}/it/man4/lp.4.gz
%{_mandir}/it/man4/mem.4.gz
%{_mandir}/it/man4/mouse.4.gz
%{_mandir}/it/man4/null.4.gz
%{_mandir}/it/man4/port.4.gz
%{_mandir}/it/man4/ram.4.gz
%{_mandir}/it/man4/random.4.gz
%{_mandir}/it/man4/sd.4.gz
%{_mandir}/it/man4/tty.4.gz
%{_mandir}/it/man4/ttyS.4.gz
%{_mandir}/it/man4/urandom.4.gz
%{_mandir}/it/man4/vcs.4.gz
%{_mandir}/it/man4/vcsa.4.gz
%{_mandir}/it/man4/zero.4.gz
%{_mandir}/it/man5/charmap.5.gz
%{_mandir}/it/man5/fs.5.gz
%{_mandir}/it/man5/group.5.gz
%{_mandir}/it/man5/hosts.5.gz
%{_mandir}/it/man5/intro.5.gz
%{_mandir}/it/man5/issue.5.gz
%{_mandir}/it/man5/locale.5.gz
%{_mandir}/it/man5/motd.5.gz
%{_mandir}/it/man5/passwd.5.gz
%{_mandir}/it/man5/protocols.5.gz
%{_mandir}/it/man5/securetty.5.gz
%{_mandir}/it/man5/services.5.gz
%{_mandir}/it/man5/shells.5.gz
%{_mandir}/it/man5/ttytype.5.gz
%{_mandir}/it/man5/utmp.5.gz
%{_mandir}/it/man5/wtmp.5.gz
%{_mandir}/it/man6/intro.6.gz
%{_mandir}/it/man7/ascii.7.gz
%{_mandir}/it/man7/environ.7.gz
%{_mandir}/it/man7/glob.7.gz
%{_mandir}/it/man7/hier.7.gz
%{_mandir}/it/man7/intro.7.gz
%{_mandir}/it/man7/iso_8859_15.7.gz
%{_mandir}/it/man7/iso_8859-15.7.gz
%{_mandir}/it/man7/iso-8859-15.7.gz
%{_mandir}/it/man7/iso_8859_1.7.gz
%{_mandir}/it/man7/iso_8859-1.7.gz
%{_mandir}/it/man7/iso-8859-1.7.gz
%{_mandir}/it/man7/iso_8859_2.7.gz
%{_mandir}/it/man7/iso_8859-2.7.gz
%{_mandir}/it/man7/iso-8859-2.7.gz
%{_mandir}/it/man7/iso_8859_7.7.gz
%{_mandir}/it/man7/iso_8859-7.7.gz
%{_mandir}/it/man7/iso-8859-7.7.gz
%{_mandir}/it/man7/latin1.7.gz
%{_mandir}/it/man7/latin2.7.gz
%{_mandir}/it/man7/locale.7.gz
%{_mandir}/it/man7/mailaddr.7.gz
%{_mandir}/it/man7/man.7.gz
%{_mandir}/it/man7/regex.7.gz
%{_mandir}/it/man7/signal.7.gz
%{_mandir}/it/man7/standards.7.gz
%{_mandir}/it/man7/suffixes.7.gz
%{_mandir}/it/man7/unicode.7.gz
%{_mandir}/it/man7/utf-8.7.gz
%{_mandir}/it/man7/utf8.7.gz
%{_mandir}/it/man8/intro.8.gz
%{_mandir}/it/man8/tzselect.8.gz
%{_mandir}/it/man8/zdump.8.gz
%{_mandir}/it/man9/ksoftirqd.9.gz

%files extra
%defattr(-,root,root,-)
%doc %{extra_pkg_name}/CHANGELOG %{extra_pkg_name}/README
%{_mandir}/it/man1/addr2line.1.gz
%{_mandir}/it/man1/ar.1.gz
%{_mandir}/it/man1/as.1.gz
%{_mandir}/it/man1/bison.1.gz
%{_mandir}/it/man1/c++filt.1.gz
%{_mandir}/it/man1/deb-make.1.gz
%{_mandir}/it/man1/ftp.1.gz
%{_mandir}/it/man1/gnumeric.1.gz
%{_mandir}/it/man1/hman.1.gz
%{_mandir}/it/man1/logger.1.gz
%{_mandir}/it/man1/man2html.1.gz
%{_mandir}/it/man1/manlint.1.gz
%{_mandir}/it/man1/nm.1.gz
%{_mandir}/it/man1/psc.1.gz
%{_mandir}/it/man1/ranlib.1.gz
%{_mandir}/it/man1/rcp.1.gz
%{_mandir}/it/man1/readelf.1.gz
%{_mandir}/it/man1/rlogin.1.gz
%{_mandir}/it/man1/rsh.1.gz
%{_mandir}/it/man1/size.1.gz
%{_mandir}/it/man1/slsc.1.gz
%{_mandir}/it/man1/startx.1.gz
%{_mandir}/it/man1/strings.1.gz
%{_mandir}/it/man1/strip.1.gz
%{_mandir}/it/man1/talk.1.gz
%{_mandir}/it/man1/vprint.1.gz
%{_mandir}/it/man1/xhost.1.gz
%{_mandir}/it/man1/xinit.1.gz
%{_mandir}/it/man5/deb.5.gz
%{_mandir}/it/man5/deb-control.5.gz
%{_mandir}/it/man5/sources.list.5.gz
%{_mandir}/it/man8/apt-cdrom.8.gz
%{_mandir}/it/man8/dpkg.8.gz
%{_mandir}/it/man8/dselect.8.gz
%{_mandir}/it/man8/ftpd.8.gz
%{_mandir}/it/man8/inetd.8.gz
%{_mandir}/it/man8/iwconfig.8.gz
%{_mandir}/it/man8/iwevent.8.gz
%{_mandir}/it/man8/iwgetid.8.gz
%{_mandir}/it/man8/iwspy.8.gz
%{_mandir}/it/man8/ping.8.gz
%{_mandir}/it/man8/rexecd.8.gz
%{_mandir}/it/man8/rlogind.8.gz
%{_mandir}/it/man8/rshd.8.gz
%{_mandir}/it/man8/syslogd.8.gz
%{_mandir}/it/man8/talkd.8.gz
%{_mandir}/it/man8/telnetd.8.gz
%{_mandir}/it/man8/tftpd.8.gz


%changelog
* Thu Dec 06 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-7
- [Bug 226125] Merge Review: man-page-it (Comment 13)

* Thu Dec 06 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-6
- [Bug 226125] Merge Review: man-page-it (Comment 8)

* Thu Dec 06 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-5
- Fix improper format of SPEC

* Wed Dec 05 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-4
- Change the Licence from "Freely redistributable without restriction" to IEEE

* Tue Dec 04 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-3
- [Bug 226125] Merge Review: man-page-it

* Thu Oct 25 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-2
- [Bug 335931] man-pages-it package is 6 years old
- Add Italian summaries and descriptions

* Mon Oct 22 2007 Ding-Yi Chen <dchen@redhat.com> - 2.65-0
- [Bug 335931] man-pages-it package is 6 years old

* Wed Oct 10 2007 Ding-Yi Chen <dchen@redhat.com> - 0.3.0-18
- [Bug 236116] Unsupported programs in man-pages-it
- remove celibacy.1 and sex.6

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-17.1.gz
- rebuild

* Thu Mar 23 2006 Karsten Hopp <karsten@redhat.de> 0.3.0-17
- remove vim.1, provided by the vim-common package

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Apr 07 2005 Peter Vrabec <pvrabec@redhat.com> 0.3.0-16
- newgrp man page removed, will be provided by shadow-utils

* Tue Sep 28 2004 Leon Ho <llch@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 0.3.0-13
- removed apropos.1, man.1, whatis.1, man.config.5, and makewhatis.8, because the latest man contains those manpages.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.3.0-12
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.3.0-11
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 0.3.0-10
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.3.0-7
- Add URL

* Wed Apr  4 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add patch to fix roff errors in multiple man pages

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 11 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use %%{_mandir}/it and %%{_tmppath} 

* Mon May 15 2000 Trond Eivind Glomsrød <teg@redhat.com>
- first build
